Summary:	Virtual tunnel over TCP/IP networks
Name:		vtun
Version:	3.0.2
Release:	%mkrel 7
License:	GPL
Group:		Networking/Other
URL:		http://vtun.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
Source1:	vtunc.init
Source2:	vtund.init
Source3:	vtunc.sysconfig
Source4:	vtund.sysconfig
Source5:	vtun.xinetd
Source6:	%{name}-tmpfiles.conf
Patch0:		vtun-3.0.2-parallel-make.patch
Obsoletes:	vppp
Provides:	vppp
BuildRequires:	zlib-devel bison openssl-devel flex
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
#JMD: For static binary
BuildRequires:	openssl-static-devel, glibc-static-devel

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP networks
and allows to shape, compress, encrypt traffic in that tunnels. 
Supported type of tunnels are: PPP, IP, Ethernet and most of other serial 
protocols and programs.

VTun is easily and highly configurable, it can be used for various network
tasks like VPN, Mobil IP, Shaped Internet access, IP address saving, etc.
It is completely user space implementation and does not require modification
to any kernel parts. 

%prep

%setup -q
%patch0 -p1

%build

%configure \
    --localstatedir=%{_localstatedir}/lib/%{name} \
    --enable-ssl \
    --disable-lzo

#JMD: for static binary
#perl -pi -e "s/-lz/-Wl,-static -lz/g;" Makefile


#JMD: use this so we get Unix98 pty support

cat << EOF >> config.h
#define HAVE_GETPT
#define HAVE_GRANTPT
#define HAVE_UNLOCKPT
#define HAVE_PTSNAME
EOF

make \
    CFG_FILE=%{_sysconfdir}/vtund.conf \
    PID_FILE=/run/vtund.pid  \
    STAT_DIR=/var/log/vtund \
    LOCK_DIR=/run/lock/vtund

%install
rm -rf %{buildroot}

install -d %{buildroot}/var/log/vtund
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/vtunc
install -D -p -m 0755 %{SOURCE2} %{buildroot}%{_initrddir}/vtund
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/vtunc
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/vtund
install -D -p -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/xinetd.d/vtun
install -D vtund %{buildroot}/%{_sbindir}/vtund
install scripts/reroute %{buildroot}/%{_sbindir}

install -D vtund.8 %{buildroot}/%{_mandir}/man8/vtund.8
install -D vtund.conf.5 %{buildroot}/%{_mandir}/man5/vtund.5

install -D -p -m 0644 %{SOURCE6} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%clean
rm -rf %{buildroot}

%post
%_tmpfilescreate %{name}
%_post_service vtund
%_post_service vtunc

%preun
%_preun_service vtund
%_preun_service vtunc

%files
%defattr(644,root,root,755)
%doc ChangeLog Credits FAQ README README.Setup README.Shaper TODO
%doc vtund.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/vtun
%config(noreplace) %{_sysconfdir}/sysconfig/vtun?
%{_initrddir}/vtun?
%dir /var/log/vtund
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_tmpfilesdir}/%{name}.conf
%defattr(755,root,root,755)
%{_sbindir}/vtund
%{_sbindir}/reroute






%changelog

* Sun Mar 24 2013 colin <colin> 3.0.2-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Jan 18 2013 colin <colin> 3.0.2-6.mga3
+ Revision: 389421
- Tidy spec a little
- Use tmpfiles.d for runtime dir creation.
- More use of buildroot macro.
- Use buildroot macro.

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 29 2012 colin <colin> 3.0.2-4.mga2
+ Revision: 234203
- Add LSB headers to initscripts (mga#5262)
- Split out initscripts from a binary

* Mon May 09 2011 pterjan <pterjan> 3.0.2-3.mga1
+ Revision: 96585
- Fix parallel build

  + grenoya <grenoya>
    - imported package vtun


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 3.0.2-3mdv2011.0
+ Revision: 604384
- rebuild for new zlib

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 3.0.2-3mdv2010.1
+ Revision: 533627
- rebuild

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 3.0.2-2mdv2010.0
+ Revision: 434692
- rebuild

* Mon Jun 16 2008 Olivier Thauvin <nanardon@mandriva.org> 3.0.2-1mdv2009.0
+ Revision: 220177
- 3.0.2

* Mon Jun 02 2008 Pixel <pixel@mandriva.com> 3.0.1-1mdv2009.0
+ Revision: 214231
- adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Thauvin <nanardon@mandriva.org>
    - 3.0.1

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.6-9mdv2008.1
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot


* Thu Mar 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6-9mdv2007.1
+ Revision: 144455
- rebuild
- Import vtun

* Fri Jan 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6-8mdk
- fix deps

* Tue Oct 19 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6-7mdk
- add UnixPTY defines in config.h so it uses /dev/pty/s0 instead of
 /dev/ttyp0.

* Tue Oct 19 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6-6mdk
- another set of init fixes. Services should now refuse to start if
  mandatory options in /etc/sysconfig are not set, of if the config file
  is not present.

* Sat Oct 16 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6-5mdk
- more init fixes

* Sat Oct 16 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.6-4mdk
- fix initscripts not to start client and server if not configured
- remove default configuration from /etc otherwise the server starts
  automatically with default passwords!

